%define 	prefix	/usr
%define		gkplugs $RPM_BUILD_ROOT/usr/lib/gkrellm2/plugins
Summary:	Multiple stacked system monitors: 1 process.
Name:		gkrellm
Version:	2.3.4
Release:	1
Copyright:	GPL
Group:		Utilities
URL:		http://members.dslextreme.com/users/billw/gkrellm/gkrellm.html
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}2.desktop
Source2:	bfm-0.6.4.tar.bz2
Source3:	gkrellkam_2.0.0.tar.gz
Source4:	%{name}-radio-2.0.4.tar.gz
Source5:	%{name}-volume-2.1.13.tar.gz
Source6:	%{name}ms-2.1.22.tar.gz
Source7:	%{name}ss-2.6.tar.gz
Source8:	gkrellsun-1.0.0.tar.gz
Source9:	gkrelltop.2.2.6.tgz
Source10:	gkrellweather-2.0.7.tgz
Source11:	%{name}-reminder-2.0.0.tar.gz
Source12:	%{name}2-cpufreq-0.5.5.tar.gz
Source13:	wmhdplop-0.9.9.tar.gz
Source14:	%{name}-countdown-0.1.1.tar.gz
Source15:	%{name}wireless-2.0.3.tar.gz
Source16:	gkrellshoot-0.4.3.tar.gz
Source17:	%{name}-wifi-0.9.12.tar.gz
Source18:	gkPCcard-1.0.0-pre3.tar.gz
Source19:	%{name}2-themes.tar.bz2
Source20:	gkrellsun-1.0.0.tar.bz2
Patch0:		wmhdplop_0.9.9-1.diff
Patch1:		gkrellm-wifi-0.9.12.patch
Patch2:		gkrellm-wifi-0.9.12-asm_h.patch
Patch3:		gkrellm-wifi-0.9.12-kernel-2.6.26.patch
Patch4:		wmhdplop.diff
BuildRequires:	gkrellm-devel >= 2.3.4 lm_sensors-devel >= 3.1.2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
GKrellM charts SMP CPU, load, Disk, and all active net interfaces
automatically. An on/off button and online timer for the PPP interface
is provided. Monitors for memory and swap usage, file system, internet
connections, APM laptop battery, mbox style mailboxes, and cpu temps.
Also includes an uptime monitor, a hostname label, and a clock/calendar.
Additional features are:

  * Autoscaling grid lines with configurable grid line resolution.
  * LED indicators for the net interfaces.
  * A gui popup for configuration of chart sizes and resolutions.

%package        devel
Summary:        Include files for %{name}
Group:          Development

%description    devel
gkrellm header files for %{name} development and plugin support.

%prep
%setup -q -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16 -a 17 -a 18 -a 20
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

%build
make CFLAGS="$CFLAGS" LOCALEDIR="%{_datadir}/locale"
cd bfm*; make gkrellm
cd ../gkrellka*; make
cd ../gkrellm-ra*; make
cd ../gkrellm-v*; make
cd ../gkrellmm*; make
cd ../gkrellms*; make
cd ../gkrellsu*; make
cd ../gkrellto*; make clean; make
cd ../gkrellwe*; make
cd ../gkrellm-rem*; make
cd ../gkrellm2-cp*; make
cd ../wmhdplop*; autogen.sh; make
cd ../gkrellm-c*; make
cd ../gkrellmwi*; make
cd ../gkrellSh*; make
#cd ../gkrellm-wi*; make
cd ../gkPCcard*; make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLROOT=$RPM_BUILD_ROOT/%{_prefix} LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale MANDIR=$RPM_BUILD_ROOT/%{_mandir}/man1
mkdir -p %{gkplugs}
cp bfm*/*.so %{gkplugs}
cp gkrellka*/*.so %{gkplugs}
cp gkrellm-ra*/*.so %{gkplugs}
cp gkrellm-v*/*.so %{gkplugs}
cp gkrellmm*/*.so %{gkplugs}
cp gkrellms*/src/*.so %{gkplugs}
cp gkrellsu*/src20/*.so %{gkplugs}
cp gkrellto*/*.so %{gkplugs}
cp gkrellwe*/*.so %{gkplugs}; cp gkrellwe*/GrabWea* $RPM_BUILD_ROOT/usr/bin; mkdir -p $RPM_BUILD_ROOT/usr/local/bin; ln -sf /usr/bin/GrabWeather $RPM_BUILD_ROOT/usr/local/bin/.
cp gkrellm-rem*/*.so %{gkplugs}
cp gkrellm2-cp*/*.so %{gkplugs}; cp gkrellm2-cp*/cpufreqse* $RPM_BUILD_ROOT/usr/bin
cp wmhdplop*/*.so %{gkplugs}
cp gkrellm-c*/*.so %{gkplugs}
cp gkrellmwi*/*.so %{gkplugs}
cp gkrellSh*/*.so %{gkplugs}
#cp gkrellm-wi*/*.so %{gkplugs}
cp gkPCcard*/*.so %{gkplugs}
tar xjpf %{SOURCE19} -C $RPM_BUILD_ROOT
cp server/*.conf $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Utilities

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc
/root
/usr/bin
/usr/lib/gkrellm2
/usr/local
/usr/man
/usr/share

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/pkgconfig
